Update one billing plan
/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHub/{OrderKey}/child/lines/{linesUniqID}/child/billingPlans/{BillingPlanId}
Request
-
BillingPlanId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
OrderKey(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
linesUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Order Lines resource and used to uniquely identify an instance of Order Lines. The client should not generate the hash key value. Instead, the client should query on the Order Lines collection resource in order to navigate to a specific instance of Order Lines to get the hash key.
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
- application/json
object-
BillingNumberOfPeriods: integer
(int32)
Number of time frames in a recurring invoice.
-
BillingPeriodEndDate: string
(date)
End date of the billing time frame. The application sets this date to the contract end date of the first billing time frame. If the invoice doesn't cover the full billing time frame, then the application sets the end date to the billing end date of the subsequent billing time frame.
-
BillingPeriodNumber: integer
(int32)
Time frame number for the billing start date, end date, or transaction date.
-
BillingPeriodStartDate: string
(date)
Start date of the billing time frame. The application sets this date to the contract start date of the first billing time frame. If the invoice doesn't cover the full billing time frame, then the application sets the start date to the billing start date of the subsequent billing time frame.
-
BillingPlanId: integer
(int64)
Value that uniquely identifies the billing plan.
-
BillingPlanType: string
Maximum Length:
80Name of the billing plan type. -
BillingPlanTypeCode: string
Maximum Length:
30Abbreviation that identifies the type of billing plan, such as periodic or milestone. -
BillingTransactionDate: string
(date)
Date when the first invoice occurs when the sales order uses a recurring invoice. If the invoice covers only part of an invoice time frame, then this attribute stores the date of the subsequent invoice.
-
CancellationEffectiveDate: string
(date)
Date when recurring billing stops and no future billing occurs.
-
NetBillingAmountForEachPeriod: number
Net amount that the application bills for each billing time frame.
-
OverridePeriod: integer
(int32)
Time frame that includes an override amount. For example, the first invoice is for time frame 1, the second invoice is for time frame 2, and so on.
-
OverridePeriodAmount: number
Override amount to apply on the time frame.
-
OverridePeriodQuantity: number
Quantity to use when calculating recurring billing or credit for the override time frame.
-
Periodicity: string
Maximum Length:
80Name of the time frame of the recurring invoice. -
PeriodicityCode: string
Maximum Length:
30Time frame of the recurring invoice. Values include Day, Week, Month, Quarter, or Year. -
SourceBillingPlanId: string
Maximum Length:
50Value that identifies the billing plan. The source application assigns this value.
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
BillingNumberOfPeriods: integer
(int32)
Number of time frames in a recurring invoice.
-
BillingPeriodEndDate: string
(date)
End date of the billing time frame. The application sets this date to the contract end date of the first billing time frame. If the invoice doesn't cover the full billing time frame, then the application sets the end date to the billing end date of the subsequent billing time frame.
-
BillingPeriodNumber: integer
(int32)
Time frame number for the billing start date, end date, or transaction date.
-
BillingPeriodStartDate: string
(date)
Start date of the billing time frame. The application sets this date to the contract start date of the first billing time frame. If the invoice doesn't cover the full billing time frame, then the application sets the start date to the billing start date of the subsequent billing time frame.
-
BillingPlanId: integer
(int64)
Value that uniquely identifies the billing plan.
-
BillingPlanType: string
Maximum Length:
80Name of the billing plan type. -
BillingPlanTypeCode: string
Maximum Length:
30Abbreviation that identifies the type of billing plan, such as periodic or milestone. -
BillingTransactionDate: string
(date)
Date when the first invoice occurs when the sales order uses a recurring invoice. If the invoice covers only part of an invoice time frame, then this attribute stores the date of the subsequent invoice.
-
CancellationEffectiveDate: string
(date)
Date when recurring billing stops and no future billing occurs.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NetBillingAmountForEachPeriod: number
Net amount that the application bills for each billing time frame.
-
OverridePeriod: integer
(int32)
Time frame that includes an override amount. For example, the first invoice is for time frame 1, the second invoice is for time frame 2, and so on.
-
OverridePeriodAmount: number
Override amount to apply on the time frame.
-
OverridePeriodQuantity: number
Quantity to use when calculating recurring billing or credit for the override time frame.
-
Periodicity: string
Maximum Length:
80Name of the time frame of the recurring invoice. -
PeriodicityCode: string
Maximum Length:
30Time frame of the recurring invoice. Values include Day, Week, Month, Quarter, or Year. -
SourceBillingPlanId: string
Maximum Length:
50Value that identifies the billing plan. The source application assigns this value.
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update one billing plan.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/OrderKey/child/lines/linesUniqID/child/billingPlans/BillingPlanId"
For example, use the following command:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_billingplan_01/child/lines/00020000000EACED00057708000110F084F2B05D0000000EACED00057708000110F084F2B05E/child/billingPlans/300100185403487"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
You can achieve the same result with Create sales orders using the upsert-mode header parameter. Refer to the examples in the Create sales orders section to see how to update child resource in the existing order.
{
"OverridePeriodAmount" : 225
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
}